GNU bug report logs - #33542
Content-addressed mirror code relies on (guix base16)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Mark H Weaver <mhw@HIDDEN>; dated Wed, 28 Nov 2018 18:28:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to 'Content-addressed mirror code relies on (guix base16)' from 'Offloading to older Guix fails for lack of (guix base16)' Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Offloading to older Guix fails for lack of (guix base16)' from 'Content-addressed mirror code relies on (guix base16)' Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 33542 <at> debbugs.gnu.org:


Received: (at 33542) by debbugs.gnu.org; 8 Dec 2018 01:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 20:02:20 2018
Received: from localhost ([127.0.0.1]:37434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVR0d-0005Oa-MR
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 20:02:19 -0500
Received: from world.peace.net ([64.112.178.59]:46642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>)
 id 1gVR0c-0005OF-1V; Fri, 07 Dec 2018 20:02:18 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gVR0U-00023b-Uv; Fri, 07 Dec 2018 20:02:11 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#33542: Strange tarball download error on Hydra
References: <87efb5vz0g.fsf@HIDDEN> <877egxvyp9.fsf@HIDDEN>
 <8736rkzybq.fsf@HIDDEN>
Date: Fri, 07 Dec 2018 20:01:19 -0500
In-Reply-To: <8736rkzybq.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 28 Nov 2018 22:28:25 +0100")
Message-ID: <874lbou8zp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33542
Cc: 33542 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 33542
retitle 33542 Offloading to older Guix fails for lack of (guix base16)
thanks

Hi Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> Mark H Weaver <mhw@HIDDEN> writes:
>>
>>> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
>>> failed because the tarball download failed.  See below for the build
>>> log.  Strangely, it was unable to find the (guix base16) module.
>>
>> I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
>> of (guix base16) during downloads, and that the copies of Guix currently
>> running on the armhf build slaves is too old to include (guix base16).
>
> Oops indeed.  Commit a52ae1b6620fcef28e668047a51a6b2a9fb89e35 addresses
> it by autoloading (guix base16), such that old installations will still
> work but won=E2=80=99t be able to download from Software Heritage.

The autoload workaround introduced in commit a52ae1b6 didn't to work.
Downloads on these armhf slaves are still failing in recent evaluations.
For example, see the build log below, for a version of linux-libre that
did not exist when commit a52ae1b6 was pushed.

I tried upgrading 'guix' on the armhf build slaves, but after doing so
*all* builds offloaded to those machines started aborting.  The nix logs
on Hydra indicate that the (guix) module could not be found.  For now, I
rolled back the upgrades, so this issue is still relevant.

    Thanks,
      Mark


--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.1=
4.86-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/m7//4cjfkak0h54jss4043=
nwpydr90w6i0-linux-libre-4.14.86-gnu.tar.xz.drv.bz2
;;; Failed to autoload bytevector->base16-string in (guix base16):
;;; ERROR: missing interface for module (guix base16)
Backtrace:
In ice-9/boot-9.scm:
  66: 19 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 18 [eval # #]
In ice-9/boot-9.scm:
2404: 17 [save-module-excursion #<procedure 205c80 at ice-9/boot-9.scm:4051=
:3 ()>]
4056: 16 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 15 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:40=
47:10 ()>]
1732: 14 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 13 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-=
0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 12 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 11 [catch srfi-34 #<procedure 8865f0 at guix/ui.scm:426:2 ()> ...]
 160: 10 [catch system-error ...]
In guix/scripts/perform-download.scm:
  63: 9 [perform-download #]
In guix/build/download.scm:
 837: 8 [url-fetch # ...]
In srfi/srfi-1.scm:
 643: 7 [append-map #<procedure 933e88 at guix/build/download.scm:837:16 (m=
ake-url)> ...]
 573: 6 [map #<procedure 933e88 at guix/build/download.scm:837:16 (make-url=
)> #]
 661: 5 [filter-map #<procedure 9a4f48 at guix/build/download.scm:838:30 (e=
xpr)> #]
In guix/build/download.scm:
 841: 4 [#<procedure 9a4f48 at guix/build/download.scm:838:30 (expr)> #]
In ice-9/eval.scm:
 387: 3 [eval # #]
 386: 2 [eval # #]
 393: 1 [eval # #]
In unknown file:
   ?: 0 [memoize-variable-access! # #]

ERROR: In procedure memoize-variable-access!:
ERROR: Unbound variable: bytevector->base16-string
builder for `/gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.14.8=
6-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/m74cjfkak0h54jss4043nwpydr90w6i0-linux-libre-4.14=
.86-gnu.tar.xz.drv - 1 builder for `/gnu/store/m74cjfkak0h54jss4043nwpydr90=
w6i0-linux-libre-4.14.86-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Information forwarded to bug-guix@HIDDEN:
bug#33542; Package guix. Full text available.
Changed bug title to 'Content-addressed mirror code relies on (guix base16)' from 'Content-address mirror code relies on (guix base16)' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 33542-done <at> debbugs.gnu.org:


Received: (at 33542-done) by debbugs.gnu.org; 28 Nov 2018 21:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 16:28:34 2018
Received: from localhost ([127.0.0.1]:53854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS7Nq-0005B7-Jd
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gS7No-0005As-JP
 for 33542-done <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gS7Ni-0005kE-RI
 for 33542-done <at> debbugs.gnu.org; Wed, 28 Nov 2018 16:28:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53416)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gS7Ni-0005k8-OS; Wed, 28 Nov 2018 16:28:26 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54780 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gS7Ni-0007gM-GP; Wed, 28 Nov 2018 16:28:26 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#33542: Strange tarball download error on Hydra
References: <87efb5vz0g.fsf@HIDDEN> <877egxvyp9.fsf@HIDDEN>
Date: Wed, 28 Nov 2018 22:28:25 +0100
In-Reply-To: <877egxvyp9.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 28
 Nov 2018 13:33:27 -0500")
Message-ID: <8736rkzybq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33542-done
Cc: 33542-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Mark H Weaver <mhw@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:
>
>> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
>> failed because the tarball download failed.  See below for the build
>> log.  Strangely, it was unable to find the (guix base16) module.
>
> I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
> of (guix base16) during downloads, and that the copies of Guix currently
> running on the armhf build slaves is too old to include (guix base16).

Oops indeed.  Commit a52ae1b6620fcef28e668047a51a6b2a9fb89e35 addresses
it by autoloading (guix base16), such that old installations will still
work but won=E2=80=99t be able to download from Software Heritage.

Thanks,
Ludo=E2=80=99.




Notification sent to Mark H Weaver <mhw@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to ludo@HIDDEN (Ludovic Courtès):
You have taken responsibility. Full text available.
Changed bug title to 'Content-address mirror code relies on (guix base16)' from 'Strange tarball download error on Hydra' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 33542 <at> debbugs.gnu.org:


Received: (at 33542) by debbugs.gnu.org; 28 Nov 2018 18:34:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 13:34:18 2018
Received: from localhost ([127.0.0.1]:53765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS4fC-0005WO-3e
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:34:18 -0500
Received: from world.peace.net ([64.112.178.59]:34744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gS4fA-0005WB-Dr
 for 33542 <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:34:16 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gS4f3-0002HE-Qz; Wed, 28 Nov 2018 13:34:10 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: 33542 <at> debbugs.gnu.org
Subject: Re: bug#33542: Strange tarball download error on Hydra
References: <87efb5vz0g.fsf@HIDDEN>
Date: Wed, 28 Nov 2018 13:33:27 -0500
In-Reply-To: <87efb5vz0g.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 28
 Nov 2018 13:26:44 -0500")
Message-ID: <877egxvyp9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33542
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark H Weaver <mhw@HIDDEN> writes:

> On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
> failed because the tarball download failed.  See below for the build
> log.  Strangely, it was unable to find the (guix base16) module.

I now see that 89f1fee8e788fc32d08583b4207c1ecb91d50f28 added a new use
of (guix base16) during downloads, and that the copies of Guix currently
running on the armhf build slaves is too old to include (guix base16).

I don't have time to deal with this right now, but I'll take a look in
about 12 hours or so.  Unfortunately, I expect that a great many armhf
builds will fail in the meantime, including all of the kernel updates.

        Mark




Information forwarded to bug-guix@HIDDEN:
bug#33542; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Nov 2018 18:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 28 13:27:40 2018
Received: from localhost ([127.0.0.1]:53749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gS4Ym-0005L1-6B
	for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yk-0005Kn-WF
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000NR-I4
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ye-0000N0-Bl
 for submit <at> debbugs.gnu.org; Wed, 28 Nov 2018 13:27:32 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37100)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Yd-0003Jr-9g
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gS4Ya-00006Z-6r
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:31 -0500
Received: from world.peace.net ([64.112.178.59]:51348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gS4Ya-0008Vx-3K
 for bug-guix@HIDDEN; Wed, 28 Nov 2018 13:27:28 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gS4YY-0002Dn-Oi; Wed, 28 Nov 2018 13:27:26 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: Strange tarball download error on Hydra
Date: Wed, 28 Nov 2018 13:26:44 -0500
Message-ID: <87efb5vz0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

On Hydra, the armhf builds for al variants of 'linux-libre-4.14.84'
failed because the tarball download failed.  See below for the build
log.  Strangely, it was unable to find the (guix base16) module.

Any idea what went wrong here?

I'll try restarting the builds.

      Mark

--8<---------------cut here---------------start------------->8---
@ build-started /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - armhf-linux /var/log/guix/drvs/p1//gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv.bz2
warning: failed to install locale: Invalid argument
Backtrace:
In ice-9/boot-9.scm:
4056: 19 [#<procedure 205c80 at ice-9/boot-9.scm:4051:3 ()>]
1727: 18 [%start-stack load-stack #<procedure 1571c0 at ice-9/boot-9.scm:4047:10 ()>]
1732: 17 [#<procedure 1d9d50 ()>]
In unknown file:
   ?: 16 [primitive-load "/gnu/store/hkzbag401s8pkrj6k4bjizy3dybqffp4-guix-0.12.0-2.b291/bin/.guix-real"]
In guix/ui.scm:
1222: 15 [run-guix-command perform-download ...]
In ice-9/boot-9.scm:
 160: 14 [catch srfi-34 #<procedure 896890 at guix/ui.scm:426:2 ()> ...]
 160: 13 [catch system-error ...]
In guix/scripts/perform-download.scm:
  69: 12 [perform-download #]
In ice-9/boot-9.scm:
 870: 11 [call-with-input-file "/gnu/store/wxbfbsf53bdvrq1s8h086d96ixa7d47s-content-addressed-mirrors" ...]
In unknown file:
   ?: 10 [eval (begin (use-modules # #) (list # # #)) #<module (#{ g961}#) 893288>]
In ice-9/eval.scm:
 505: 9 [#<procedure 13b220 at ice-9/eval.scm:499:4 (exp)> (begin # #)]
In ice-9/psyntax.scm:
1106: 8 [expand-top-sequence ((begin (use-modules # #) (list # # ...))) () ...]
 989: 7 [scan ((begin (use-modules # #) (list # # ...))) () ...]
 989: 6 [scan ((use-modules # #) (list # # #)) () ((top)) ...]
 279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
In ice-9/boot-9.scm:
3589: 4 [process-use-modules (((guix base32)) ((guix base16)))]
 703: 3 [map #<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((#) (#))]
3590: 2 [#<procedure 1c0cc0 at ice-9/boot-9.scm:3589:25 (mif-args)> ((guix base16))]
2870: 1 [resolve-interface (guix base16) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (guix base16)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (guix base16)
builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
@ build-failed /gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv - 1 builder for `/gnu/store/p1gqqw2jly5aizkz0d41a4gi9prxmx8m-linux-libre-4.14.84-gnu.tar.xz.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33542; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 18 Dec 2018 06:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.